%define name bencode
%define version 3.0.1
%define unmangled_version 3.0.1
%define unmangled_version 3.0.1
%define release 1%{?dist}

%if 0%{?centos} == 7
%define python3_pkgversion 36
%endif

%if 0%{?centos} == 6
%global         with_python2 1
%endif

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%else
%global         with_python3 0
%endif

Summary:	The BitTorrent bencode module as light-weight, standalone package.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}.py-%{unmangled_version}.tar.gz
License:	BitTorrent Open Source License
Group:		Development/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix:		%{_prefix}
BuildArch:	noarch
Vendor:		Thomas Rampelberg <thomas@bittorrent.com>
Url:		https://pypi.python.org/pypi/bencode

%description
This package simply re-packages the existing bencoding and bdecoding implemention from the 'official' BitTorrent client as a separate,
light-weight package for re-using them without having the entire BitTorrent software as a dependency.

%if 0%{?with_python2}
%package -n python2-%{name}
Obsoletes: python-bencode <= %{version}
Provides: python-%{name} = %{version}
Obsoletes: %{name} 
Provides: %{name} 
Summary: Simple bencode parser for Python 2
BuildRequires:	python2-setuptools, python2-devel, python2-pbr

%description -n python2-%{name}
Simple bencode parser, forked from the bencode package
by Thomas Rampelberg.
%endif

%if 0%{?with_python3}
%package -n python%{python3_pkgversion}-%{name}
Summary: Simple bencode parser for Python 3
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-pbr

%description -n python%{python3_pkgversion}-%{name}
Simple bencode parser, forked from the bencode package
by Thomas Rampelberg.
%endif

%prep
%setup -n %{name}-%{unmangled_version} -n %{name}.py-%{unmangled_version}

%build
%if 0%{?with_python2}
%py2_build
%endif
%if 0%{?with_python3}
%py3_build
%endif

%install
%if 0%{?with_python2}
%py2_install
%endif
%if 0%{?with_python3}
%py3_install
%endif
rm -rf %{buildroot}/usr/share/doc/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT

%if 0%{?with_python2}
%files -n python2-%{name}
%{python2_sitelib}/%{name}/
%{python2_sitelib}/%{name}.py*.egg-info
%endif

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{name}
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}.py*.egg-info
%endif

%changelog
* Thu May 28 2020 Lawrence R. Rogers <lrr@cert.org> 3.0.1-1
* Release 3.0.1-1
	Version 3.0.1-1

* Sun Jun  9 2019 Lawrence R. Rogers <lrr@cert.org> 2.1.0-1
* Release 2.1.0-1
	Version 2.1.0-1

* Sun May 19 2019 Lawrence R. Rogers <lrr@cert.org> 2.0.0-3
* Release 2.0.0-3
	Version 2.0.0-3: Uses python3_pkgversion for the current version of Python 3.

* Tue Jan 29 2019 Lawrence R. Rogers <lrr@cert.org> 2.0.0-2
* Release 2.0.0-2
        Version as of 2.0.0
	-python packages renamed to -python2

* Mon Dec 18 2017 Lawrence R. Rogers <lrr@cert.org> 2.0.0-1
* Release 2.0.0-1
	Updated to version 2.0.0

